# Uses of Class
bsh.This

Packages that use This
Package
Description
bsh
bsh.util

## Uses of This in bsh

Subclasses of This in bsh
Modifier and Type
Class
Description
`class`
`XThis`
XThis is a dynamically loaded extension which extends This.java and adds support for the generalized interface proxy mechanism introduced in JDK1.3.
Methods in bsh that return This
Modifier and Type
Method
Description
`This`
NameSpace.`getGlobal(Interpreter declaringInterpreter)`
Get the top level namespace or this namespace if we are the top.
`This`
NameSpace.`getSuper(Interpreter declaringInterpreter)`
Get the parent namespace' This reference or this namespace' This reference if we are the top.
Methods in bsh with parameters of type This
Modifier and Type
Method
Description
`static void`
This.`bind(This ths, NameSpace namespace, Interpreter declaringInterpreter)`
Bind a This reference to a parent's namespace with the specified declaring interpreter.
`static ClassGeneratorUtil.ConstructorArgs`
ClassGeneratorUtil.`getConstructorArgs(String superClassName, This classStaticThis, Object[] consArgs, int index)`
Evaluate the arguments (if any) for the constructor specified by the constructor index.

## Uses of This in bsh.util

Constructors in bsh.util with parameters of type This
Modifier
Constructor
Description
``
`BshCanvas(This ths)`